<?php

/**
 * Copyright (C) VasylTech, LLC <vasyl@vasyltech.com>
 *
 * This program is commercial software: you are not allowed to redistribute it
 * and/or modify. Unauthorized copying of this file, via any medium is strictly
 * prohibited.
 * For any questions or concerns contact Vasyl Martyniuk <vasyl@vasyltech.com>
 */

return array(
    'frontend' => array (
        'post' => array (
            'list' => array(
                'title'  => __('List', AAM_KEY),
                'descr'  => __('Hide all posts related to %s however access with a direct URL is still allowed.', AAM_KEY),
            ),
            'list_others' => array(
                'title'  => __('List To Others', AAM_KEY),
                'descr'  => sprintf(__('Similar to the LIST option however all posts that are related to %s will be hidden for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'read' => array(
                'title' => __('Read', AAM_KEY),
                'descr' => __('Restrict access to read all posts related to the %s. Any attempts to read, view or open any post will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY)
            ),
            'read_others' => array(
                'title'   => __('Read By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the READ option however all posts that are related to the %s can be read only by the author. For everybody else the access is denied and user will be redirected based on the Access Denied Redirect rule. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/help#read-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'limit' => array(
                'title'   => __('Limit', AAM_KEY),
                'sub'     => __('Teaser message', AAM_KEY),
                'option'  => 'post|frontend.teaser',
                'preview' => 'term-post-frontend-teaser-preview',
                'modal'   => 'modal-teaser',
                'descr'   => __('Replace post content with defined teaser message for all posts that are related to %s.', AAM_KEY)
            ),
            'access_counter' => array(
                'title'   => __('Read Counter', AAM_KEY),
                'sub'     => __('Counter #', AAM_KEY),
                'option'  => 'post|frontend.access_counter_limit',
                'preview' => 'term-post-frontend-access_counter_limit-preview',
                'modal'   => 'modal-access-counter',
                'exclude' => array('visitor'),
                'descr'   => __('Define how many times user can read, view or download any post in the %s.', AAM_KEY)
            ),
            'comment' => array(
                'title' => __('Comment', AAM_KEY),
                'descr' => __('Restrict access to comment on all posts related to %s if commenting feature is enabled.', AAM_KEY)
            ),
            'redirect' => array(
                'title'   => __('Redirect', AAM_KEY),
                'sub'     => __('Redirect to', AAM_KEY),
                'option'  => 'post|frontend.location',
                'preview' => 'term-post-frontend-location-preview',
                'modal'   => 'modal-redirect',
                'descr'   => __('Redirect user based on the defined redirect rule when user tries to read any post related to the %s. The REDIRECT option will be ignored if READ option checked.', AAM_KEY),
            ),
            'protected' => array(
                'title'   => __('Password Protected', AAM_KEY),
                'sub'     => __('Password', AAM_KEY),
                'option'  => 'post|frontend.password',
                'preview' => 'term-post-frontend-option-preview',
                'modal'   => 'modal-password',
                'descr'   => __('Protected all related to %s posts with a password. Available with WordPress 4.7.0 or higher.', AAM_KEY)
            ),
            'expire' => array(
                'title'   => __('Access Expiration', AAM_KEY),
                'sub'     => __('Expires', AAM_KEY),
                'option'  => 'post|frontend.expire_datetime',
                'preview' => 'term-post-frontend-expire_datetime-preview',
                'modal'   => 'modal-access-expires',
                'descr'   => __('Define when access is expired for all posts that are related to %s.', AAM_KEY) . sprintf(__('After the expiration date, the access to READ will be denied unless this behavior is overwritten in ConfigPress. For more information %scheck this article%s or ', AAM_KEY), "<a href='https://aamplugin.com/article/how-to-set-expiration-date-for-any-wordpress-content' target='_blank'>", '</a>') . sprintf(__(' %ssee in action.%s', AAM_KEY), "<a href='https://youtu.be/IgtgVoWs35w' target='_blank'>", '</a>')
            ),
            'monetize' => array(
                'title'   => __('Monetize Access', AAM_KEY),
                'sub'     => __('E-Product', AAM_KEY),
                'option'  => 'post|frontend.eproduct',
                'preview' => 'term-post-frontend-eproduct-preview',
                'modal'   => 'modal-eproduct',
                'exclude' => array('visitor'),
                'descr'   => sprintf(AAM_Backend_View_Helper::preparePhrase('[Premium feature!] Start selling access to the %s. Access will be granted to read, view or download for any post in the %s only if selected E-Product had been purchased. For more information %scheck this article%s.', 'b'), '%s', '%s', "<a href='https://aamplugin.com/article/how-to-monetize-access-to-the-wordpress-content' target='_blank'>", '</a>')
            ),
        ),
        'term' => array (
            'browse' => array(
                'title' => __('Browse', AAM_KEY),
                'descr' => __('Restrict access to browse %s. When checked, any attempt to browse %s will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY)
            ),
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide %s however access will be still allowed with a direct URL.', AAM_KEY)
            )
        )
    ),
    'backend' => array (
        'post' => array (
            'list' => array(
                'title'   => __('List', AAM_KEY),
                'descr'   => __('Hide all posts related to %s however access with a direct URL will be still allowed.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'list_others' => array(
                'title'   => __('List To Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the LIST option however all posts that are related to the %s will be hidden for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'edit' => array(
                'title'   => __('Edit', AAM_KEY),
                'descr'   => __('Restrict access to edit all posts related to %s. Any attempts to edit any post will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit_others' => array(
                'title'   => __('Edit By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the EDIT option however all posts that are related to the %s will be restricted for editing for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#edit-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'delete' => array(
                'title'   => __('Delete', AAM_KEY),
                'descr'   => __('Restrict access to trash or delete all posts related to %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete_others' => array(
                'title'   => __('Delete By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the DELETE option however all posts that are related to the %s will be restricted for trashing or permanent deletion for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#delete-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'publish' => array(
                'title'   => __('Publish', AAM_KEY),
                'descr'   => __('Restrict access to publish all posts related to %s. Users will be able only submit for review. Quick Edit inline action will be removed.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'publish_others' => array(
                'title'   => __('Publish By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the PUBLISH option however all posts that are related to the %s will be restricted for publishing for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#publish-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            )
        ),
        'term' => array (
            'list' => array(
                'title'   => __('List', AAM_KEY),
                'descr'   => __('Hide %s however access with a direct URL will be still allowed.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit' => array(
                'title'   => __('Edit', AAM_KEY),
                'descr'   => __('Restrict access to edit %s. Any attempts to edit %s will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete' => array(
                'title'   => __('Delete', AAM_KEY),
                'descr'   => __('Restrict access to delete %s.', AAM_KEY),
                'exclude' => array('visitor')
            )
        )
    ),
    'api' => array(
        'post' => array (
            'list' => array(
                'title'  => __('List', AAM_KEY),
                'descr'  => __('Hide all posts related to %s however access with a direct URL is still allowed.', AAM_KEY),
            ),
            'list_others' => array(
                'title'  => __('List To Others', AAM_KEY),
                'descr'  => sprintf(__('Similar to the LIST option however all posts that are related to %s will be hidden for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'read' => array(
                'title' => __('Read', AAM_KEY),
                'descr' => __('Restrict access to retrieve all posts related to the %s.', AAM_KEY)
            ),
            'read_others' => array(
                'title'   => __('Read By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the RETRIEVE option however all posts that are related to the %s can be retrieved only by the author. For everybody else the access is will be denied. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#read-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'edit' => array(
                'title'   => __('Update', AAM_KEY),
                'descr'   => __('Restrict access to update all posts related to %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit_others' => array(
                'title'   => __('Update By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the UPDATE option however all posts that are related to the %s will be restricted to update for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#edit-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'delete' => array(
                'title'   => __('Delete', AAM_KEY),
                'descr'   => __('Restrict access to trash or delete all posts related to %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete_others' => array(
                'title'   => __('Delete By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the DELETE option however all posts that are related to the %s will be restricted for trashing or permanent deletion for everybody except the author. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#delete-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'limit' => array(
                'title'   => __('Limit', AAM_KEY),
                'sub'     => __('Teaser message', AAM_KEY),
                'option'  => 'post|api.teaser',
                'preview' => 'term-post-api-teaser-preview',
                'modal'   => 'modal-teaser',
                'descr'   => __('Replace post content with defined teaser message for all posts that are related to %s.', AAM_KEY)
            ),
            'access_counter' => array(
                'title'   => __('Read Counter', AAM_KEY),
                'sub'     => __('Counter #', AAM_KEY),
                'option'  => 'post|api.access_counter_limit',
                'preview' => 'term-post-api-access_counter_limit-preview',
                'modal'   => 'modal-access-counter',
                'exclude' => array('visitor'),
                'descr'   => __('Define how many times user can retrieve any post in the %s.', AAM_KEY)
            ),
            'comment' => array(
                'title' => __('Comment', AAM_KEY),
                'descr' => __('Restrict access to comment on all posts related to %s if commenting feature is enabled.', AAM_KEY)
            ),
            'redirect' => array(
                'title'   => __('Redirect', AAM_KEY),
                'sub'     => __('Redirect to', AAM_KEY),
                'option'  => 'post|api.location',
                'preview' => 'term-post-api-location-preview',
                'modal'   => 'modal-redirect',
                'descr'   => __('Redirect user based on the defined redirect rule when user tries to read any post related to the %s. The REDIRECT option will be ignored if READ option checked.', AAM_KEY),
            ),
            'protected' => array(
                'title'   => __('Password Protected', AAM_KEY),
                'sub'     => __('Password', AAM_KEY),
                'option'  => 'post|api.password',
                'preview' => 'term-post-api-option-preview',
                'modal'   => 'modal-password',
                'descr'   => __('Protected all related to %s posts with a password. Available with WordPress 4.7.0 or higher.', AAM_KEY)
            ),
            'expire' => array(
                'title'   => __('Access Expiration', AAM_KEY),
                'sub'     => __('Expires', AAM_KEY),
                'option'  => 'post|api.expire_datetime',
                'preview' => 'term-post-api-expire_datetime-preview',
                'modal'   => 'modal-access-expires',
                'descr'   => __('Define when access is expired for all posts that are related to %s.', AAM_KEY) . sprintf(__('After the expiration date, the access to READ will be denied unless this behavior is overwritten in ConfigPress. For more information %scheck this article%s or ', AAM_KEY), "<a href='https://aamplugin.com/article/how-to-set-expiration-date-for-any-wordpress-content' target='_blank'>", '</a>') . sprintf(__(' %ssee in action.%s', AAM_KEY), "<a href='https://youtu.be/IgtgVoWs35w' target='_blank'>", '</a>')
            )
        ),
        'term' => array (
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide %s however access will be still allowed with a direct URL.', AAM_KEY)
            ),
            'edit' => array(
                'title'   => __('Update', AAM_KEY),
                'descr'   => __('Restrict access to edit %s. Any attempts to edit %s will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete' => array(
                'title'   => __('Delete', AAM_KEY),
                'descr'   => __('Restrict access to delete %s.', AAM_KEY),
                'exclude' => array('visitor')
            )
        )
    )
);