<?php

/**
 * Copyright (C) VasylTech, LLC <vasyl@vasyltech.com>
 *
 * This program is commercial software: you are not allowed to redistribute it
 * and/or modify. Unauthorized copying of this file, via any medium is strictly
 * prohibited.
 * For any questions or concerns contact Vasyl Martyniuk <vasyl@vasyltech.com>
 */

return array(
    'frontend' => array (
        'post' => array (
            'list' => array(
                'title'  => __('List', AAM_KEY),
                'descr'  => __('Hide all %s however allow access with a direct URL.', AAM_KEY),
            ),
            'list_others' => array(
                'title'   => __('List To Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the LIST option except user will be able to see only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'read' => array(
                'title' => __('Read', AAM_KEY),
                'descr' => __('Restrict access to read all %s. Any attempts to read, view or open %s will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY)
            ),
            'read_others' => array(
                'title'   => __('Read By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the READ option except user will be able to read only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#read-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'limit' => array(
                'title'   => __('Limit', AAM_KEY),
                'sub'     => __('Teaser message', AAM_KEY),
                'option'  => 'post|frontend.teaser',
                'preview' => 'post-frontend-teaser-preview',
                'modal'   => 'modal-teaser',
                'descr'   => __('Replace all %s content with defined teaser message.', AAM_KEY)
            ),
            'access_counter' => array(
                'title'   => __('Read Counter', AAM_KEY),
                'sub'     => __('Counter #', AAM_KEY),
                'option'  => 'post|frontend.access_counter_limit',
                'preview' => 'post-frontend-access_counter_limit-preview',
                'modal'   => 'modal-access-counter',
                'exclude' => array('visitor'),
                'descr'   => __('Define how many times any %s can be read, viewed or download. After number of times exceeds the specified threshold, access will be denied and redirected based on the Access Denied Redirect rule.', AAM_KEY)
            ),
            'comment' => array(
                'title' => __('Comment', AAM_KEY),
                'descr' => __('Restrict access to comment on all %s if commenting feature is enabled.', AAM_KEY)
            ),
            'redirect' => array(
                'title'   => __('Redirect', AAM_KEY),
                'sub'     => __('Redirect to', AAM_KEY),
                'option'  => 'post|frontend.location',
                'preview' => 'post-frontend-location-preview',
                'modal'   => 'modal-redirect',
                'descr'   => __('Redirect user based on the defined redirect rule when user tries to read %s. The REDIRECT option will be ignored if READ option checked.', AAM_KEY),
            ),
            'protected' => array(
                'title'   => __('Password Protected', AAM_KEY),
                'sub'     => __('Password', AAM_KEY),
                'option'  => 'post|frontend.password',
                'preview' => 'post-frontend-option-preview',
                'modal'   => 'modal-password',
                'descr'   => __('Protect access to all %s with a password. Available with WordPress 4.7.0 or higher.', AAM_KEY)
            ),
            'expire' => array(
                'title'   => __('Access Expiration', AAM_KEY),
                'sub'     => __('Expires', AAM_KEY),
                'option'  => 'post|frontend.expire_datetime',
                'preview' => 'post-frontend-expire_datetime-preview',
                'modal'   => 'modal-access-expires',
                'descr'   => __('Define when access is expired for all %s.', AAM_KEY) . sprintf(__('After the expiration date, the access to READ will be denied unless this behavior is overwritten in ConfigPress. For more information %scheck this article%s or ', AAM_KEY), "<a href='https://aamplugin.com/article/how-to-set-expiration-date-for-any-wordpress-content' target='_blank'>", '</a>') . sprintf(__(' %ssee in action.%s', AAM_KEY), "<a href='https://youtu.be/IgtgVoWs35w' target='_blank'>", '</a>')
            ),
            'monetize' => array(
                'title'   => __('Monetize Access', AAM_KEY),
                'sub'     => __('E-Product', AAM_KEY),
                'option'  => 'post|frontend.eproduct',
                'preview' => 'post-frontend-eproduct-preview',
                'modal'   => 'modal-eproduct',
                'exclude' => array('visitor'),
                'descr'   => sprintf(AAM_Backend_View_Helper::preparePhrase('[Premium feature!] Start selling access to all %s. Access will be granted to read, view or download for all %s only if selected E-Product had been purchased. For more information %scheck this article%s.', 'b'), '%s', '%s', "<a href='https://aamplugin.com/article/how-to-monetize-access-to-the-wordpress-content' target='_blank'>", '</a>')
            )
        ),
        'term' => array (
            'browse' => array(
                'title' => __('Browse', AAM_KEY),
                'descr' => __('Restrict access to browse all hierarchical terms. Any attempts to browse terms will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY)
            ),
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide all hierarchical terms, however access with a direct URL will be still allowed.', AAM_KEY)
            )
        )
    ),
    'backend' => array (
        'post' => array (
            'list' => array(
                'title'  => __('List', AAM_KEY),
                'descr'  => __('Hide all %s however access with a direct URL will be still allowed. When there are more than 500 posts, this option may not be applied immediately because, for performance reasons, AAM checks limited number of posts per request.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'list_others' => array(
                'title' => __('List To Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the LIST option except user will be able to see only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'add' => array(
                'title' => __('Add New', AAM_KEY),
                'descr' => __('Restrict access to add new %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit' => array(
                'title' => __('Edit', AAM_KEY),
                'descr' => __('Restrict access to edit all %s. Any attempts to edit %s will result in redirecting user based on the Access Denied Redirect rule.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit_others' => array(
                'title' => __('Edit By Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the EDIT option except user will be able to edit only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#edit-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'delete' => array(
                'title' => __('Delete', AAM_KEY),
                'descr' => __('Restrict access to trash or delete all %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete_others' => array(
                'title' => __('Delete By Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the DELETE option except user will be able to trash or permanently delete only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#delete-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'publish' => array(
                'title' => __('Publish', AAM_KEY),
                'descr' => __('Restrict access to publish all %s. All %s will be allowed only to submit for review.', AAM_KEY) . sprintf(__(' %sSee in action.%s', AAM_KEY), "<a href='https://youtu.be/29M0OHqm3lg' target='_blank'>", '</a>'),
                'exclude' => array('visitor')
            ),
            'publish_others' => array(
                'title' => __('Publish By Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the PUBLISH option except user will be able to publish only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#publish-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            )
        ),
        'term' => array (
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide all categories.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit' => array(
                'title' => __('Edit', AAM_KEY),
                'descr' => __('Restrict access to edit all categories.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete' => array(
                'title' => __('Delete', AAM_KEY),
                'descr' => __('Restrict access to delete all categories.', AAM_KEY),
                'exclude' => array('visitor')
            )
        )
    ),
    'api' => array (
        'post' => array (
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide all %s however access with a direct URL will be still allowed.', AAM_KEY),
            ),
            'list_others' => array(
                'title'  => __('List To Others', AAM_KEY),
                'descr'  => sprintf(__('Similar to the LIST option except user will be able to see only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#list-to-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'read' => array(
                'title' => __('Read', AAM_KEY),
                'descr' => __('Restrict access to retrieve all %s.', AAM_KEY)
            ),
            'read_others' => array(
                'title'   => __('Read By Others', AAM_KEY),
                'descr'   => sprintf(__('Similar to the READ option except user will be able to retrieve only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#read-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'add' => array(
                'title'   => __('Create New', AAM_KEY),
                'descr'   => __('Restrict access to create new %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit' => array(
                'title' => __('Update', AAM_KEY),
                'descr' => __('Restrict access to update all %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'edit_others' => array(
                'title' => __('Update By Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the EDIT option except user will be able to update only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#edit-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'delete' => array(
                'title' => __('Delete', AAM_KEY),
                'descr' => __('Restrict access to trash or delete all %s.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete_others' => array(
                'title' => __('Delete By Others', AAM_KEY),
                'descr' => sprintf(__('Similar to the DELETE option except user will be able to trash or permanently delete only his own %s. For more information check %sHelp Section%s.', AAM_KEY), '%s', "<a href='https://aamplugin.com/reference/plugin#delete-by-others' target='_blank'>", '</a>'),
                'exclude' => array('visitor', 'user')
            ),
            'limit' => array(
                'title'   => __('Limit', AAM_KEY),
                'sub'     => __('Teaser message', AAM_KEY),
                'option'  => 'post|api.teaser',
                'preview' => 'post-api-teaser-preview',
                'modal'   => 'modal-teaser',
                'descr'   => __('Replace all %sc content with defined teaser message.', AAM_KEY)
            ),
            'access_counter' => array(
                'title'   => __('Read Counter', AAM_KEY),
                'sub'     => __('Counter #', AAM_KEY),
                'option'  => 'post|api.access_counter_limit',
                'preview' => 'post-api-access_counter_limit-preview',
                'modal'   => 'modal-access-counter',
                'exclude' => array('visitor'),
                'descr'   => __('Define how many times user can retrieve any %s.', AAM_KEY)
            ),
            'comment' => array(
                'title' => __('Comment', AAM_KEY),
                'descr' => __('Restrict access to comment on all %s if commenting feature is enabled.', AAM_KEY)
            ),
            'redirect' => array(
                'title'   => __('Redirect', AAM_KEY),
                'sub'     => __('Redirect to', AAM_KEY),
                'option'  => 'post|api.location',
                'preview' => 'post-api-location-preview',
                'modal'   => 'modal-redirect',
                'descr'   => __('Redirect user based on the defined redirect rule when user tries to read any %s. The REDIRECT option will be ignored if READ option checked.', AAM_KEY),
            ),
            'protected'   => array(
                'title'   => __('Password Protected', AAM_KEY),
                'sub'     => __('Password', AAM_KEY),
                'option'  => 'post|api.password',
                'preview' => 'post-api-option-preview',
                'modal'   => 'modal-password',
                'descr'   => __('Protect access tp all %s with a password. Available with WordPress 4.7.0 or higher.', AAM_KEY)
            ),
            'expire' => array(
                'title'   => __('Access Expiration', AAM_KEY),
                'sub'     => __('Expires', AAM_KEY),
                'option'  => 'post|api.expire_datetime',
                'preview' => 'post-api-expire_datetime-preview',
                'modal'   => 'modal-access-expires',
                'descr'   => __('Define when access is expired for all %s.', AAM_KEY) . sprintf(__('After the expiration date, the access to RETRIEVE will be denied unless this behavior is overwritten in ConfigPress. For more information %scheck this article%s or ', AAM_KEY), "<a href='https://aamplugin.com/article/how-to-set-expiration-date-for-any-wordpress-content' target='_blank'>", '</a>') . sprintf(__(' %ssee in action.%s', AAM_KEY), "<a href='https://youtu.be/IgtgVoWs35w' target='_blank'>", '</a>')
            )
        ),
        'term' => array (
            'list' => array(
                'title' => __('List', AAM_KEY),
                'descr' => __('Hide all categories, however access with a direct URL will be still allowed.', AAM_KEY)
            ),
            'edit' => array(
                'title' => __('Update', AAM_KEY),
                'descr' => __('Restrict access to update all hierarchical terms.', AAM_KEY),
                'exclude' => array('visitor')
            ),
            'delete' => array(
                'title' => __('Delete', AAM_KEY),
                'descr' => __('Restrict access to delete all hierarchical terms.', AAM_KEY),
                'exclude' => array('visitor')
            )
        )
    )
);