<?php

/**
 * Copyright (C) VasylTech, LLC <vasyl@vasyltech.com>
 *
 * This program is commercial software: you are not allowed to redistribute it
 * and/or modify. Unauthorized copying of this file, via any medium is strictly
 * prohibited.
 * For any questions or concerns contact Vasyl Martyniuk <vasyl@vasyltech.com>
 */

if (defined('AAM_KEY') && !class_exists('AAM_PlusPackage')) {
    $config = require(dirname(__FILE__) . '/config.php');
    
    //register activate and extension classes
    $basedir = dirname(__FILE__);
    AAM_Autoloader::add('AAM_PlusPackage', $config['basedir'] . '/PlusPackage.php');
    AAM_Autoloader::add('AAM_PlusPackage_Backend', $config['basedir'] . '/Backend.php');
    AAM_Autoloader::add('AAM_PlusPackage_Frontend', $config['basedir'] . '/Frontend.php');
    AAM_Autoloader::add('AAM_PlusPackage_Base', $config['basedir'] . '/Base.php');
    AAM_Autoloader::add('AAM_PlusPackage_Visibility_Initializer', $config['basedir'] . '/Visibility/Initializer.php');
    AAM_Autoloader::add('AAM_PlusPackage_Visibility_QueryBuilder', $config['basedir'] . '/Visibility/QueryBuilder.php');
    AAM_Autoloader::add('AAM_PlusPackage_Api_Manager', $config['basedir'] . '/Api.php');
    AAM_Autoloader::add('AAM_PlusPackage_Api_Rest_Resource_Term', $config['basedir'] . '/Api/Rest/Resource/Term.php');
    AAM_Autoloader::add('AAM_PlusPackage_Api_Rest_Resource_Comment', $config['basedir'] . '/Api/Rest/Resource/Comment.php');
    AAM_Autoloader::add('AAM_Object_Type', $config['basedir'] . '/Object/Type.php');
    AAM_Autoloader::add('AAM_Object_Term', $config['basedir'] . '/Object/Term.php');
    AAM_Autoloader::add('AAM_Object_Taxonomy', $config['basedir'] . '/Object/Taxonomy.php');
    
    if (version_compare(AAM_Core_API::version(), $config['requires']['aam']) === -1) {
        AAM_Core_Console::add(
            "[Plus Package] requires AAM v{$config['requires']['aam']} or higher.", 'b'
        );
    } else {
        AAM_PlusPackage::bootstrap();
    }
}